Skip navigation
Currently Being Moderated

Getting the "Not a valid widget" error when trying to insert a Smart Interaction into a Captivate 6

Jul 12, 2012 11:11 AM

Tags: #error #captivate #interaction #6 #widget #smart #valid

I am suddenly getting the "Not a valid widget" error when trying to insert a smart interaction into a Captivate 6 project. Is anyone else having that issue? Or more importantly, know of a fix for it?

 
Replies
  • Currently Being Moderated
    Jul 12, 2012 12:05 PM   in reply to swcs_ncoa

    Action Script 2 widget will not work on Captivate 6,is that an external widget?

    Is it AS2 or AS3?

     

    Please elaborate.

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 12, 2012 1:25 PM   in reply to swcs_ncoa

    copy paste the slides in a new project and try if that works

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 12, 2012 11:13 PM   in reply to swcs_ncoa

    Hi there,

     

    Please try after deleting the Preferences and Layouts folder and re-launch Captivate. If you have saved any of your themes in Layouts folder, take a backup of that.

    If the issue still persists share the cptx with us, so that we can investigate. You can upload to acrobat.com and send the link to me -  nitikuma@adobe.com

     

    Preferences->C:\Users\<username>\AppData\Local\Adobe : Delete Captivate 6 folders

    Layouts-> C:\Users\<username>\Documents\My Adobe Captivate Projects

     

    Regards,

    Nitin Kumar

    Captivate Engineering Team

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 14, 2012 9:24 AM   in reply to swcs_ncoa

    I have found that closing the file and reopening seems to resolve the issue for me.

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 16, 2012 5:03 PM   in reply to NitinKumar

    When I attempt to insert an interaction, Captivate closes. I also attemtped your suggestions about the app data and layouts folders.  It does not matter what .CPTX I am in or a blank

    project. Thanks Capture.PNG

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 16, 2012 10:58 PM   in reply to BrewsterEC

    Hi BrewsterEC,

     

    Its unfortunate that you are facing this issue with Interactions, but we are unable to replicate this.

    We would like to see this issue happening at your end so that we can investigate & help you out.

    Please send me an email to nitikuma@adobe.com, so that we can have a Connect meeting.

     

     

    Regards,

    Nitin kumar

    Captivate Engineering Team

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 31, 2012 11:15 AM   in reply to NitinKumar

    I'm also getting the invalid widget error message when I try to insert a Smart Interaction into a Captivate 6 project, though so far the program doesn't try to close.  The project is one that I started in Captivate 5.5 and imported into 6, but I've been able to insert Smart Interactions into it just fine before this.  I searched for my preferences folder, but I am not finding the folder location that was posted in the reply above (Preferences->C:\Users\<username>\AppData\Local\Adobe) but I did delete the Layouts folder and restarted, but got the same error when trying to insert the SI.  I even changed the program preferences to run the program as an administrator, but that doesn't seem to have helped (saw that fix on another post).

     

    Has anyone else found a cure for this, yet?

     

    Thanks!
    Kim

     
    |
    Mark as:
  • Currently Being Moderated
    Jul 31, 2012 11:24 AM   in reply to Domaine

    I just played around some more and found that it's just some of the interactions that give error messages: Accordian, Tabs, Timeline, Circle Matrix.

     
    |
    Mark as:
  • Currently Being Moderated
    Aug 1, 2012 11:23 PM   in reply to Domaine

    Hi Kim,

     

    Can you please give us more details so that we can help you further.

    Is it happening with a specific project, the one you upgraded from CP5.5? In a new blank project do you encounter this issue?

    If it is project specific can you share the Captivate (cptx) file with us. You can upload to acrobat.com and send me the link.

     

    (In the Captivate installed directory there is a utility inside the utils folder for cleaning preferences)

     

    Regards,

    Nitin Kumar

    Captivate Engineering Team

     
    |
    Mark as:
  • Currently Being Moderated
    Aug 13, 2012 12:13 PM   in reply to NitinKumar

    I'm having the same issue but it seems to be only with the Timeline widget and only with a project that I started in 5.5 and converted to 6.

     
    |
    Mark as:
  • Currently Being Moderated
    Aug 17, 2012 3:12 PM   in reply to Krista515DBA

    I am having the same issues on a new Captivate 6 project. The actions were working fine and then the Accordion, Tabs, and Pyramid Matrix interactions just stopped working and gave me the "Not a Valid Widget" message.

     

    To get around it I opened a new project of similar size, created one slide with the interaction I wanted and copy/ paste it into the original project. It is not convenient, but it works.

     

    Keep Smiling!

     

    Mike

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 7, 2012 7:56 AM   in reply to Stickney215

    Thanks Mike! -- I was having the same issue 'invalid widget' the project wasn't imported from any previous versions. Opening and closing the project did not work.  Opening a new project the same size, inserting a blank slide and copying and pasting into my project worked to fix the issue. 

     

    Sharon

     
    |
    Mark as:
  • Currently Being Moderated
    Feb 5, 2013 1:48 PM   in reply to swcs_ncoa

    I am having a similar issue but I am also not able to delete buttons off of the timeline once I am able to create it in the new project. Any ideas on this issue?

     
    |
    Mark as:
  • Currently Being Moderated
    Jun 5, 2013 11:32 AM   in reply to gebaugh

    Hi. I am using Captivate version 7 and I am having the same problem with ALL of the interactions; I cannot insert any interaction into my project without getting the "invalid widget" error. I am also not able to solve this issue by closing the file or creating a new project as suggested above.

     

    Has anyone discovered a solution yet? I was so excited to get my new version with these interactions, and can't believe that I can't use any of them!

     

    Thanks!

     
    |
    Mark as:
  • Currently Being Moderated
    Jun 6, 2013 12:07 AM   in reply to ChappaquaWriter

    Hi ChappaquaWriter,

     

     

    Can you please provide few additional info so that we can understand the issue better?

     

    1) Are you seeing this issue on a Win or MAC machine?

    2) Have you tried relaunching captivate and inserting an Interaction?

    3) are you able to see interactions in the 'eLearning Assets' location.

     

    Win location :- C:\Users\Public\Documents\Adobe\eLearning Assets\Interactions

     

    MAC location : -  /Documents/My Adobe Captivate Projects/Interactions

     

    4) If the interactions are present in the above location, then can you please try inserting the interaction through the 'Insert>Widget> select an interaction from the above location' and see its working or not?

     

    Thanks,

    Nimmy Sukumaran.

     
    |
    Mark as:
  • Currently Being Moderated
    Jun 6, 2013 7:17 AM   in reply to nsukumar

    Thanks so much Nimmy for responding.

     

    1) My machine is Windows.

     

    2)  I have tried closing Captivate and relaunching, and even creating a new blank project.

     

    3) I do see all of the interactions listed in the folder you mentioned above. Which makes me wonder... should I have installed Captivate in a particular folder structure?  I created my own folder during installation, so the install and executable files are not in the "Adobe" folder (where the interactions also have a folder). Maybe this could be the problem? (It would be nice if it were that simple. : -)  )

     

    4)  I tried inserting via Insert > Widget from the menu bar and still get the same issue.

     

    Thanks!

    Katie

     
    |
    Mark as:
  • Currently Being Moderated
    Jun 6, 2013 10:46 AM   in reply to ChappaquaWriter

    SOLVED!  I uninstalled Captivate 7 and reinstalled it, but this time I let Adobe install all the files in the default Adobe folder that it was suggesting to me (instead of creating my own location on the C drive for the install). It seems as though the installation has to be in the same place as the Interaction files, etc., which now of course makes sense.

     

    Thanks Nimmy for thinking of the folder structure!

     

    Katie

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (2)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points